## Index

### Type aliases

- TLaunchAttribbutes
- TLaunchCommon
- TLaunchParams
- TSetProductsBadgesParams

## Type aliases

### TLaunchAttribbutes

TLaunchAttribbutes: TLaunchCommon & { defaultProducts?: string; productsList?: string }

When launched with an already existing element on the page These are the acceptable attributes

### TLaunchCommon

TLaunchCommon: { defaultApplication?: string; defaultProduct?: string | number; experienceId?: string; hashExperienceId?: string; maxMapSize?: string | number; maxMapSizeMobile?: string | number; maxProductMapSize?: string | number; maxProductMapSizeMobile?: string | number; sceneId?: string; scene_configuration?: string; selector?: string }

#### Type declaration

- ##### Optional defaultApplication?: string

- ##### Optional defaultProduct?: string | number

- ##### Optional experienceId?: string

- ##### Optional hashExperienceId?: string

- ##### Optional maxMapSize?: string | number

- ##### Optional maxMapSizeMobile?: string | number

- ##### Optional maxProductMapSize?: string | number

- ##### Optional maxProductMapSizeMobile?: string | number

- ##### Optional sceneId?: string

- ##### Optional scene_configuration?: string

- ##### Optional selector?: string

### TLaunchParams

TLaunchParams: TLaunchCommon & { defaultProducts?: {}; productsList?: (string | number)[] } & { favoriteProducts?: any; favoriteScenes?: any }

launchVisualizer params export const launchVisualizer = (params: TLaunchParams) => Promise<Element | null> It accepts these params and returns the html element which contains Visualizer

### TSetProductsBadgesParams

TSetProductsBadgesParams: { products: { badges?: string[]; sku: string }[] }

#### Type declaration

- ##### products: { badges?: string[]; sku: string }[]

Generated using TypeDoc